Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBExternalResourceMBean

All Superinterfaces:
  CIBManagedObjectMBean, CIBMonitoredObjectMBean, CIBObjectMBean

All Known Implementing Classes:
  CIBExternalResource

public interface CIBExternalResourceMBean
extends CIBMonitoredObjectMBean

Provides methods that should be implemented by a CIBExternalService managed object to expose its management attributes. The CIBExternalService object model implements an association between an application providing the remote service and the application consuming the remote service. The association specifies the NSAP URI the consuming application depends on.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Method Summary
`javax.management.ObjectName` | `getApplication()` Returns the name of the CIBApplication
`java.lang.String` | `getProviderUri()` Provides the Associated Service URI
`javax.management.ObjectName` | `getService()` Returns the name of the CIBService

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectMBean
`getAvailabilityStatusDegradedTime, getAvailabilityStatusLastChange, getAvailabilityStatusState, getOpenStatistic, getOpenStatistics, getOpenStats, getOperationalStatusLastChange, getOperationalStatusStartTime, getOperationalStatusState, getStatisticNames, getStats, isStateProvider, isStatisticProvider, setStateProvider, setStatisticProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Method Detail

### getProviderUri

    public java.lang.String getProviderUri()
                                    throws javax.management.InvalidAttributeValueException

  Provides the Associated Service URI

  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### getApplication

    public javax.management.ObjectName getApplication()
                                               throws javax.management.InvalidAttributeValueException

  Returns the name of the CIBApplication

  Returns:
    ObjectName
  Throws:
    `javax.management.InvalidAttributeValueException`

### getService

    public javax.management.ObjectName getService()
                                           throws javax.management.InvalidAttributeValueException

  Returns the name of the CIBService

  Returns:
    ObjectName
  Throws:
    `javax.management.InvalidAttributeValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD